typedef struct {
	int nc, nw, nr, N;
	int *lcell, *lnext;
	double xmin, ymin, rmax, dx, dy;
	double *A, *rw;
	double *X, *Y, *F;
} scatter_pl;

int init_scatter(scatter_pl *sc, double *scx, double *scy, double *v, int nv);
int interp_to_pd(scatter_pl *sc, interplan *plan, int f, int d, double xMin, double xMax, double yMin, double yMax, char *filename);
int load_scatter(interplan *plan, char *filename);
int end_scatter(scatter_pl *sc);
